1. Mailboxes
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
      GET
    • Get mailbox details by id
      GET
    • Get Mailbox Admin Details
      GET
    • Update mailbox details
      PATCH
    • Remove mailbox
      DELETE
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Mailboxes

Get Mailbox Admin Details

GET
/mailboxes/admin-mailbox-details
Retrieves admin mailbox details for Microsoft and Google mailboxes using domain ID and user ID.

Query Parameter Details#

userId#

Type: string
Required: Yes
Description: The unique identifier (UUID) of the user making the request.
Example: PZZRG5M94EM647HQHCZAZK6M5RFW

domainId#

Type: string
Required: Yes
Description: The unique identifier (UUID) of the domain for which you want to retrieve the admin mailbox details.
Example: F4035BMNJMMR38MM9NMCEZYQQDG

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/admin-mailbox-details?domainId=FTR1TZJ5PM4SPQG2QMQM659J546G' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Examples
{
  "status": 200,
  "message": "Admin mailbox fetched successfully",
  "data": {
    "email": "emma.wagner@novacoreapps.com",
    "password": "T9v!rQ2#Lm8@",
    "serviceProvider": "GOOGLE",
    "secret": "k9fd 3mqa zt72 1xpw 8rnc b5le y4uh g7ds",
    "domain": "novacoreapps.com",
    "domainId": "NCAPPS8F3K2L9QW4R6T1Y",
    "userId": "USR94KD7S2LQ8X5M1Z0",
    "createdAt": "2026-02-21T09:42:18.512Z"
  }
}
🟠400Not Found
🟠422Unprocessable Entity
Modified at 2026-02-21 07:30:07
Previous
Get mailbox details by id
Next
Update mailbox details
Built with